Subject: bug#33439: emacs-26 branch: epg-decrypt-1 test failure on Fedora 29

From: Paul Eggert <[email-masked]>
Date: Mon, 19 Nov 2018 18:09:59 -0800

The emacs-26 branch has a test failure on my Fedora 29 x86-64 platform. 
test/lisp/epg-tests.el fails the epg-decrypt-1 test. The symptom is 
(epg-error "Decryption failed" ""). I find this stuff to be a pain to 
debug and hope that someone else can debug it (or that the test be 
removed), but apparently Emacs's invocation of this this shell command:

"/usr/bin/gpg2" "--no-tty" "--status-fd" "1" "--yes" "--homedir" 
"/tmp/epg-tests-homedir2yvvtL" "--command-fd" "0" "--output" 
"/tmp/epg-outputsZghM1" "--decrypt" "--" "/tmp/epg-input9ZuUDT"

causes this output to be generated:

[GNUPG:] NEED_PASSPHRASE_SYM 3 3 2
[GNUPG:] ERROR get_passphrase 85
[GNUPG:] MISSING_PASSPHRASE
[GNUPG:] BEGIN_DECRYPTION
[GNUPG:] DECRYPTION_FAILED
[GNUPG:] END_DECRYPTION

and this causes epg.el to report a decryption failure.